<div id="main-container" class="flex-column center">
    <div id="content-container" class="flex-column">

        <div id="header-container" class="flex-row center" [ngSwitch]="Section">
            <span *ngSwitchCase="QuestionSectionEnum.GES" id="title">{{gesTitle}}</span>
            <span *ngSwitchCase="QuestionSectionEnum.Planes" id="title">{{planesTitle}}</span>
            <span *ngSwitchCase="QuestionSectionEnum.Flights" id="title">{{flightsTitle}}</span>
        </div>

        <div id="section-description-container" class="flex-row spread">
            <div class="flex-column center half-width">
                <span class="subheader">Description de la section: </span>
                <div class="subsection" [ngSwitch]="Section">
                    <span class="subsection-text" *ngSwitchCase="QuestionSectionEnum.GES">{{gesDescription}}</span>
                    <span class="subsection-text" *ngSwitchCase="QuestionSectionEnum.Planes">{{planesDescription}}</span>
                    <span class="subsection-text" *ngSwitchCase="QuestionSectionEnum.Flights">{{flightsDescription}}</span>
                </div>
            </div>

            <div *ngIf="NumberViz != null" class="flex-column center half-width">
                <div id="number-viz-switch" class="flex-column center" [ngSwitch]="NumberViz">

                    <span class="subheader">Statistique supplémentaire:</span>
                    <div class="subsection flex-column center" *ngSwitchCase="NumberVizEnum.EmissionGES">
                        <span class="subsection-text">
                            La quantité moyenne de gaz à effet de serre produite par un avion lors d'un vol est de : 
                            <span class="additionnal-stat"><b><u>{{emissionNumberViz}}.</u></b></span>
                        </span>
                    </div>

                    <div id="distance-stat" class="subsection flex-column center" *ngSwitchCase="NumberVizEnum.AverageDistanceTraveled">
                        <span class="subsection-text">
                            Distance moyenne des vols : 
                            <span class="additionnal-stat"><b><u>{{distanceNumberViz}} km.</u></b></span>
                        </span>
                    </div>

                </div>
            </div>
        </div>

        <div id="chart-container" [ngSwitch]="Chart">
            <app-pie-chart1 *ngSwitchCase="ChartEnum.Pie1"></app-pie-chart1>
            <app-pie-chart2 *ngSwitchCase="ChartEnum.Pie2"></app-pie-chart2>
            <app-pie-chart3 *ngSwitchCase="ChartEnum.Pie3"></app-pie-chart3>
            <app-bar-chart1 *ngSwitchCase="ChartEnum.Bar1"></app-bar-chart1>
            <app-bar-chart2 *ngSwitchCase="ChartEnum.Bar2"></app-bar-chart2>
            <app-bubble-chart1 *ngSwitchCase="ChartEnum.Bubble1" [SlideNumber]="Chart"></app-bubble-chart1>
            <app-bubble-chart2 *ngSwitchCase="ChartEnum.Bubble2" [SlideNumber]="Chart"></app-bubble-chart2>
            <app-chord-chart *ngSwitchCase="ChartEnum.Chord"></app-chord-chart>
            <app-grouped-bar-chart *ngSwitchCase="ChartEnum.GroupedBar"></app-grouped-bar-chart>
            <app-stacked-bar-chart *ngSwitchCase="ChartEnum.StackedBar"></app-stacked-bar-chart>
            <app-polar-chart1 *ngSwitchCase="ChartEnum.Polar1"></app-polar-chart1>
            <app-polar-chart2 *ngSwitchCase="ChartEnum.Polar2"></app-polar-chart2>
        </div>
    </div>
</div>



